
From: Nick Piggin <nickpiggin@yahoo.com.au>

Cleanup find_busiest_group a bit.  New sched-domains code means we can't have
groups without a CPU.

Signed-off-by: Nick Piggin <nickpiggin@yahoo.com.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    6 +-----
 1 files changed, 1 insertion(+), 5 deletions(-)

diff -puN kernel/sched.c~sched-find_busiest_group-cleanup kernel/sched.c
--- 25/kernel/sched.c~sched-find_busiest_group-cleanup	2005-02-24 19:54:48.000000000 -0800
+++ 25-akpm/kernel/sched.c	2005-02-24 19:54:48.000000000 -0800
@@ -1773,7 +1773,7 @@ find_busiest_group(struct sched_domain *
 	do {
 		unsigned long load;
 		int local_group;
-		int i, nr_cpus = 0;
+		int i;
 
 		local_group = cpu_isset(this_cpu, group->cpumask);
 
@@ -1787,13 +1787,9 @@ find_busiest_group(struct sched_domain *
 			else
 				load = source_load(i);
 
-			nr_cpus++;
 			avg_load += load;
 		}
 
-		if (!nr_cpus)
-			goto nextgroup;
-
 		total_load += avg_load;
 		total_pwr += group->cpu_power;
 
_
